Skip to main content
GET
/
communication-preferences
/
v3
/
definitions
Get subscription definitions
curl --request GET \
  --url https://api.hubapi.com/communication-preferences/v3/definitions \
  --header 'Authorization: Bearer <token>'
{
  "subscriptionDefinitions": [
    {
      "createdAt": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "id": "<string>",
      "isActive": true,
      "isDefault": true,
      "isInternal": true,
      "name": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z",
      "businessUnitId": 123,
      "communicationMethod": "<string>",
      "purpose": "<string>",
      "subscriptionTranslations": [
        {
          "createdAt": 123,
          "description": "<string>",
          "languageCode": "<string>",
          "name": "<string>",
          "subscriptionId": 123,
          "updatedAt": 123
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Response

successful operation

subscriptionDefinitions
object[]
required

A list of all subscription definitions.

Last modified on May 11, 2026